Index: asp3_tinet_ecnl_rx/trunk/app3_human_detec/src/echonet_main.c
===================================================================
--- asp3_tinet_ecnl_rx/trunk/app3_human_detec/src/echonet_main.c	(revision 351)
+++ asp3_tinet_ecnl_rx/trunk/app3_human_detec/src/echonet_main.c	(revision 364)
@@ -1,7 +1,7 @@
 /*
  *  TOPPERS ECHONET Lite Communication Middleware
- * 
+ *
  *  Copyright (C) 2014-2018 Cores Co., Ltd. Japan
- * 
+ *
  *  上記著作権者は，以下の(1)～(4)の条件を満たす場合に限り，本ソフトウェ
  *  ア（本ソフトウェアを改変したものを含む．以下同じ）を使用・複製・改
@@ -26,5 +26,5 @@
  *      由に基づく請求からも，上記著作権者およびTOPPERSプロジェクトを
  *      免責すること．
- * 
+ *
  *  本ソフトウェアは，無保証で提供されているものである．上記著作権者お
  *  よびTOPPERSプロジェクトは，本ソフトウェアに関して，特定の使用目的
@@ -32,9 +32,9 @@
  *  アの利用により直接的または間接的に生じたいかなる損害に関しても，そ
  *  の責任を負わない．
- * 
+ *
  *  @(#) $Id$
  */
 
-/* 
+/*
  *  サンプルプログラム(1)の本体
  */
@@ -85,10 +85,10 @@
 {
 	/* サイズが１以外は受け付けない */
-	if(size != 1)
+	if (size != 1)
 		return 0;
 
 	*anno = *((uint8_t *)item->exinf) != *((uint8_t *)src);
 
-	switch(*(uint8_t *)src){
+	switch (*(uint8_t *)src) {
 	/* ONの場合 */
 	case 0x30:
@@ -117,10 +117,10 @@
 {
 	/* サイズが１以外は受け付けない */
-	if(size != 1)
+	if (size != 1)
 		return 0;
 
 	*anno = *((uint8_t *)item->exinf) != *((uint8_t *)src);
 
-	switch(*(uint8_t *)src){
+	switch (*(uint8_t *)src) {
 	/* 異常発生ありの場合 */
 	case 0x41:
@@ -143,12 +143,12 @@
 {
 	/* サイズが1以外は受け付けない */
-	if(size != 1)
-		return 0;
-
-	if((*(uint8_t *)src >= 0x31) && (*(uint8_t *)src <= 0x38)){
+	if (size != 1)
+		return 0;
+
+	if ((*(uint8_t *)src >= 0x31) && (*(uint8_t *)src <= 0x38)) {
 		*((uint8_t *)item->exinf) = *((uint8_t *)src);
 	}
 	/* 上記以外は受け付けない */
-	else{
+	else {
 		return 0;
 	}
@@ -171,10 +171,10 @@
 
 	/* サイズが1以外は受け付けない */
-	if(size != 1)
+	if (size != 1)
 		return 0;
 
 	*anno = false;
 
-	if((*(uint8_t *)src >= 0x31) && (*(uint8_t *)src <= 0x38)){
+	if ((*(uint8_t *)src >= 0x31) && (*(uint8_t *)src <= 0x38)) {
 		/* 以前の検知レベルを保存 */
 		prev_state = eobj->state;
@@ -185,6 +185,5 @@
 
 		/* 人体検知状態に変化があった場合 */
-		if((prev_state < eobj->threshold) != (eobj->state < eobj->threshold))
-		{
+		if ((prev_state < eobj->threshold) != (eobj->state < eobj->threshold)) {
 			/* プロパティ通知 */
 			*anno = true;
@@ -192,5 +191,5 @@
 	}
 	/* 上記以外は受け付けない */
-	else{
+	else {
 		return 0;
 	}
@@ -199,5 +198,5 @@
 }
 
-/* 
+/*
  * 人体検知状態取得関数
  */
@@ -207,10 +206,10 @@
 
 	/* 閾値より検知レベルが低い場合 */
-	if(eobj->state < eobj->threshold){
+	if (eobj->state < eobj->threshold) {
 		/* 人体検知なし */
 		((uint8_t *)dst)[0] = 0x42;
 	}
 	/* 閾値より検知レベルが高い場合 */
-	else{
+	else {
 		/* 人体検知あり */
 		((uint8_t *)dst)[0] = 0x41;
@@ -243,10 +242,10 @@
 
 	ret2 = get_tim(&now);
-	if (ret2 != E_OK){
+	if (ret2 != E_OK) {
 		syslog(LOG_ERROR, "get_tim");
 		return;
 	}
 
-	for(;;){
+	for (;;) {
 		prev = now;
 
@@ -256,5 +255,5 @@
 		/* 応答電文待ち */
 		ret = ecn_trcv_esv(&esv, timer);
-		if ((ret != E_OK) && (ret != E_BRK) && (ret != E_TMOUT)){
+		if ((ret != E_OK) && (ret != E_BRK) && (ret != E_TMOUT)) {
 			syslog(LOG_ERROR, "ecn_trcv_esv");
 			break;
@@ -262,5 +261,5 @@
 
 		ret2 = get_tim(&now);
-		if (ret2 != E_OK){
+		if (ret2 != E_OK) {
 			syslog(LOG_ERROR, "get_tim");
 			break;
@@ -277,5 +276,5 @@
 			/* 領域解放 */
 			ret = ecn_rel_esv(esv);
-			if (ret != E_OK){
+			if (ret != E_OK) {
 				syslog(LOG_ERROR, "ecn_rel_esv");
 				break;
@@ -286,5 +285,5 @@
 			/* 応答電文待ちの割り込みデータ取得 */
 			ret = ecn_get_brk_dat(esv, brkdat, sizeof(brkdat), &len);
-			if (ret != E_OK){
+			if (ret != E_OK) {
 				syslog(LOG_ERROR, "ecn_get_brk_dat");
 				break;
@@ -296,5 +295,5 @@
 			/* 領域解放 */
 			ret = ecn_rel_esv(esv);
-			if (ret != E_OK){
+			if (ret != E_OK) {
 				syslog(LOG_ERROR, "ecn_rel_esv");
 				break;
@@ -307,6 +306,4 @@
 }
 
-bool_t started = false;
-
 void echonet_change_netif_link(uint8_t link_up, uint8_t up)
 {
@@ -316,14 +313,10 @@
 		return;
 
-	if (up && !started) {
-		started = true;
-
-		/* ECHONETミドルウェアを起動 */
-		ret = ecn_sta_svc();
-		if (ret != E_OK)
-			return;
-
-		/* ECHONETミドルウェアを起動するのを待つ */
-		dly_tsk(100);
+	if (up) {
+		/* インスタンスリスト通知の送信 */
+		ret = ecn_ntf_inl();
+		if (ret != E_OK) {
+			syslog(LOG_ERROR, "ecn_ntf_inl");
+		}
 	}
 
@@ -339,10 +332,11 @@
 }
 
-enum main_state_t{
+enum main_state_t {
+	main_state_start,
 	main_state_idle,
 };
 
 int main_timer = TMO_FEVR;
-enum main_state_t main_state = main_state_idle;
+enum main_state_t main_state = main_state_start;
 bool_t main_btn1_state;
 int main_btn1_count = 0;
@@ -368,6 +362,7 @@
 	sil_wrb_mem((uint8_t *)0x0008C02A, 0x00);
 
-	/* 10ms後にボタン状態を確認 */
-	main_timer = 10 * 1000;
+	/* ECHONETミドルウェアを起動するのを待つ */
+	main_state = main_state_start;
+	main_timer = 1000 * 1000;
 
 	/* 12bitADC初期化 */
@@ -382,4 +377,5 @@
 	main_btn2_state = (btn2 & 0x80) != 0;
 
+	/* メインタスクを起動 */
 	ER ret = act_tsk(MAIN_TASK);
 	if (ret != E_OK) {
@@ -401,9 +397,9 @@
 static void main_progress(int interval)
 {
-	if(main_timer == TMO_FEVR)
+	if (main_timer == TMO_FEVR)
 		return;
 
 	main_timer -= interval;
-	if(main_timer < 0){
+	if (main_timer < 0) {
 		main_timer = 0;
 	}
@@ -422,11 +418,11 @@
 
 	ret = ecn_itr_ini(&enm, esv);
-	if(ret != E_OK){
+	if (ret != E_OK) {
 		syslog(LOG_ERROR, "ecn_itr_ini");
 		return;
 	}
 
-	for(;;) {
-		while((ret = ecn_itr_nxt(&enm, &epc, &pdc, p_edt)) == E_OK) {
+	for (;;) {
+		while ((ret = ecn_itr_nxt(&enm, &epc, &pdc, p_edt)) == E_OK) {
 			switch (epc) {
 			case 0x80:
@@ -436,9 +432,9 @@
 			}
 		}
-		if(ret != E_BOVR){
+		if (ret != E_BOVR) {
 			syslog(LOG_ERROR, "ecn_itr_nxt");
 			break;
 		}
-		if(enm.is_eof)
+		if (enm.is_eof)
 			break;
 	}
@@ -450,5 +446,5 @@
 static void main_break_wait(uint8_t *brkdat, int32_t len)
 {
-	switch(main_state){
+	switch (main_state) {
 	case main_state_idle:
 		break;
@@ -472,12 +468,24 @@
 static void main_timeout()
 {
+	ER ret;
 	uint8_t btn1, btn2;
 	uint16_t ad_value;
 	uint8_t ad_level;
 
-	if(main_timer != 0)
-		return;
-
-	switch(main_state){
+	if (main_timer != 0)
+		return;
+
+	switch (main_state) {
+	case main_state_start:
+		/* ECHONETミドルウェアを起動 */
+		ret = ecn_sta_svc();
+		if (ret != E_OK) {
+			syslog(LOG_ERROR, "ecn_sta_svc");
+		}
+
+		/* 10ms後にボタン状態を確認 */
+		main_state = main_state_idle;
+		main_timer = 10 * 1000;
+		break;
 	case main_state_idle:
 		/* 10ms後にボタン状態を確認 */
@@ -485,5 +493,5 @@
 
 		/* ADCの変換結果取得 */
-		if((sil_reb_mem((uint8_t *)S12AD_ADCSR_ADDR) & S12AD_ADCSR_ADST_BIT) == 0){
+		if ((sil_reb_mem((uint8_t *)S12AD_ADCSR_ADDR) & S12AD_ADCSR_ADST_BIT) == 0) {
 			main_ad_avelage -= main_ad_table[main_ad_pos];
 			ad_value = sil_reh_mem((uint16_t *)S12AD_ADDR0_ADDR);
@@ -492,15 +500,15 @@
 
 			main_ad_pos++;
-			if(main_ad_pos >= main_ad_table_count){
+			if (main_ad_pos >= main_ad_table_count) {
 				main_ad_pos = 0;
 			}
 
 			ad_level = (((main_ad_avelage / main_ad_table_count) >> 9) & 0x7) + 1;
-			if(main_ad_level != ad_level){
+			if (main_ad_level != ad_level) {
 				/* １秒変化が続いたら */
-				if(main_count < 100){
+				if (main_count < 100) {
 					main_count++;
 				}
-				else{
+				else {
 					main_ad_level = ad_level;
 
@@ -509,5 +517,5 @@
 				}
 			}
-			else{
+			else {
 				main_count = 0;
 			}
@@ -518,11 +526,11 @@
 
 		/* ボタン状態読み込み */
-		btn1 = sil_reb_mem((uint8_t *) 0x0008C04A);
-		btn2 = sil_reb_mem((uint8_t *) 0x0008C040);
+		btn1 = sil_reb_mem((uint8_t *)0x0008C04A);
+		btn2 = sil_reb_mem((uint8_t *)0x0008C040);
 
 		/* ボタン１の処理 */
-		if(((btn1 & 0x80) != 0) && !main_btn1_state){
+		if (((btn1 & 0x80) != 0) && !main_btn1_state) {
 			main_btn1_count++;
-			if(main_btn1_count > 10){
+			if (main_btn1_count > 10) {
 				main_btn1_count = 0;
 				main_btn1_state = true;
@@ -531,7 +539,7 @@
 			}
 		}
-		else if(((btn1 & 0x80) == 0) && main_btn1_state){
+		else if (((btn1 & 0x80) == 0) && main_btn1_state) {
 			main_btn1_count++;
-			if(main_btn1_count > 10){
+			if (main_btn1_count > 10) {
 				main_btn1_count = 0;
 				main_btn1_state = false;
@@ -542,7 +550,7 @@
 
 		/* ボタン２の処理 */
-		if(((btn2 & 0x80) != 0) && !main_btn2_state){
+		if (((btn2 & 0x80) != 0) && !main_btn2_state) {
 			main_btn2_count++;
-			if(main_btn2_count > 10){
+			if (main_btn2_count > 10) {
 				main_btn2_count = 0;
 				main_btn2_state = true;
@@ -551,7 +559,7 @@
 			}
 		}
-		else if(((btn2 & 0x80) == 0) && main_btn2_state){
+		else if (((btn2 & 0x80) == 0) && main_btn2_state) {
 			main_btn2_count++;
-			if(main_btn2_count > 10){
+			if (main_btn2_count > 10) {
 				main_btn2_count = 0;
 				main_btn2_state = false;
@@ -577,5 +585,5 @@
 	/* プロパティ設定電文作成 */
 	ret = ecn_esv_setc(&esv, HUMAN_DETECTION_SENSOR_EOBJ, 0xB1, 1, p_edt);
-	if(ret != E_OK){
+	if (ret != E_OK) {
 		syslog(LOG_ERROR, "ecn_esv_setc");
 		return;
@@ -599,18 +607,18 @@
 
 	/* 押されて戻った時に処理する */
-	if(push)
+	if (push)
 		return;
 
 	/* 人体検知状態 */
-	if(!main_rev){
+	if (!main_rev) {
 		main_level--;
-		if(main_level < 1){
+		if (main_level < 1) {
 			main_level = 1;
 			main_rev = true;
 		}
 	}
-	else{
+	else {
 		main_level++;
-		if(main_level > 8){
+		if (main_level > 8) {
 			main_level = 8;
 			main_rev = false;
@@ -622,5 +630,5 @@
 	/* プロパティ設定電文作成 */
 	ret = ecn_esv_setc(&esv, HUMAN_DETECTION_SENSOR_EOBJ, 0xB1, 1, p_edt);
-	if(ret != E_OK){
+	if (ret != E_OK) {
 		syslog(LOG_ERROR, "ecn_esv_setc");
 		return;
@@ -641,18 +649,18 @@
 
 	/* 押されて戻った時に処理する */
-	if(push)
+	if (push)
 		return;
 
 	/* 人体検知状態 */
-	if(!main_rev){
+	if (!main_rev) {
 		main_level++;
-		if(main_level > 8){
+		if (main_level > 8) {
 			main_level = 8;
 			main_rev = false;
 		}
 	}
-	else{
+	else {
 		main_level--;
-		if(main_level < 1){
+		if (main_level < 1) {
 			main_level = 1;
 			main_rev = true;
@@ -664,5 +672,5 @@
 	/* プロパティ設定電文作成 */
 	ret = ecn_esv_setc(&esv, HUMAN_DETECTION_SENSOR_EOBJ, 0xB1, 1, p_edt);
-	if(ret != E_OK){
+	if (ret != E_OK) {
 		syslog(LOG_ERROR, "ecn_esv_setc");
 		return;
